Bug 1382293 (CVE-2016-7968) - CVE-2016-7968 kdepim: JavaScript execution in HTML Mails
Summary: CVE-2016-7968 kdepim: JavaScript execution in HTML Mails
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-7968
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1382296 1382297 1382298 1382299 1383959
Blocks: 1382295
TreeView+ depends on / blocked
 
Reported: 2016-10-06 09:29 UTC by Adam Mariš
Modified: 2021-02-17 03:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 08:58:47 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-10-06 09:29:28 UTC
KMail since version 5.3.0 used a QWebEngine based viewer that had JavaScript enabled. HTML Mail contents were not sanitized for JavaScript and included code was executed.

CVE assignment:

http://seclists.org/oss-sec/2016/q4/23

External References:

https://www.kde.org/info/security/advisory-20161006-3.txt

Comment 1 Adam Mariš 2016-10-06 09:33:20 UTC
Created kdepim3 tracking bugs for this issue:

Affects: fedora-all [bug 1382297]
Affects: epel-7 [bug 1382299]

Comment 2 Adam Mariš 2016-10-06 09:33:30 UTC
Created kdepim tracking bugs for this issue:

Affects: fedora-all [bug 1382296]

Comment 3 Adam Mariš 2016-10-06 09:33:36 UTC
Created kdepim4 tracking bugs for this issue:

Affects: fedora-all [bug 1382298]

Comment 4 Adam Mariš 2016-10-12 09:10:15 UTC
Created kf5-messagelib tracking bugs for this issue:

Affects: fedora-all [bug 1383959]

Comment 5 Fedora Update System 2016-10-30 17:54:35 UTC
kdepim-16.08.2-1.fc24, kdepim-addons-16.08.2-1.fc24, kdepim-apps-libs-16.08.2-1.fc24, kdepim-runtime-16.08.2-1.fc24, kf5-akonadi-calendar-16.08.2-1.fc24, kf5-akonadi-contacts-16.08.2-1.fc24, kf5-akonadi-mime-16.08.2-1.fc24, kf5-akonadi-notes-16.08.2-1.fc24, kf5-akonadi-search-16.08.2-1.fc24, kf5-akonadi-server-16.08.2-1.fc24, kf5-calendarsupport-16.08.2-1.fc24, kf5-eventviews-16.08.2-1.fc24, kf5-gpgmepp-16.08.2-1.fc24, kf5-grantleetheme-16.08.2-1.fc24, kf5-incidenceeditor-16.08.2-1.fc24, kf5-kalarmcal-16.08.2-1.fc24, kf5-kblog-16.08.2-1.fc24, kf5-kcalendarcore-16.08.2-1.fc24, kf5-kcalendarutils-16.08.2-1.fc24, kf5-kcontacts-16.08.2-1.fc24, kf5-kdgantt2-16.08.2-1.fc24, kf5-kholidays-16.08.2-1.fc24, kf5-kidentitymanagement-16.08.2-1.fc24, kf5-kimap-16.08.2-1.fc24, kf5-kldap-16.08.2-1.fc24, kf5-kmailtransport-16.08.2-1.fc24, kf5-kmbox-16.08.2-1.fc24, kf5-kmime-16.08.2-1.fc24, kf5-kontactinterface-16.08.2-1.fc24, kf5-kpimtextedit-16.08.2-1.fc24, kf5-ktnef-16.08.2-1.fc24, kf5-libgravatar-16.08.2-1.fc24, kf5-libkdepim-16.08.2-1.fc24, kf5-libkleo-16.08.2-1.fc24, kf5-libksieve-16.08.2-1.fc24, kf5-mailcommon-16.08.2-1.fc24, kf5-mailimporter-16.08.2-1.fc24, kf5-messagelib-16.08.2-1.fc24, kf5-pimcommon-16.08.2-1.fc24, kf5-syndication-16.08.2-1.fc24, kleopatra-16.08.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Cedric Buissart 2017-03-24 08:58:56 UTC
Statement:

This issue did not affect the versions of kdepim as shipped with Red Hat Enterprise Linux 5, 6 and 7.


Note You need to log in before you can comment on or make changes to this bug.